com.mysql.cj.log

## Interface Log

All Known Implementing Classes:
  Jdk14Logger, NullLogger, Slf4JLogger, StandardLogger

    public interface Log

Unified interface to logging facilities on different platforms

### Field Summary

Fields
`static String` `LOGGER_INSTANCE_NAME` Logger instance name

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isDebugEnabled()` Is the 'debug' log level enabled?
`boolean` `isErrorEnabled()` Is the 'error' log level enabled?
`boolean` `isFatalEnabled()` Is the 'fatal' log level enabled?
`boolean` `isInfoEnabled()` Is the 'info' log level enabled?
`boolean` `isTraceEnabled()` Is the 'trace' log level enabled?
`boolean` `isWarnEnabled()` Is the 'warn' log level enabled?
`void` `logDebug(Object msg)` Logs the given message instance using the 'debug' level
`void` `logDebug(Object msg, Throwable thrown)` Logs the given message and Throwable at the 'debug' level.
`void` `logError(Object msg)` Logs the given message instance using the 'error' level
`void` `logError(Object msg, Throwable thrown)` Logs the given message and Throwable at the 'error' level.
`void` `logFatal(Object msg)` Logs the given message instance using the 'fatal' level
`void` `logFatal(Object msg, Throwable thrown)` Logs the given message and Throwable at the 'fatal' level.
`void` `logInfo(Object msg)` Logs the given message instance using the 'info' level
`void` `logInfo(Object msg, Throwable thrown)` Logs the given message and Throwable at the 'info' level.
`void` `logTrace(Object msg)` Logs the given message instance using the 'trace' level
`void` `logTrace(Object msg, Throwable thrown)` Logs the given message and Throwable at the 'trace' level.
`void` `logWarn(Object msg)` Logs the given message instance using the 'warn' level
`void` `logWarn(Object msg, Throwable thrown)` Logs the given message and Throwable at the 'warn' level.

### Field Detail

#### LOGGER_INSTANCE_NAME

    static final String LOGGER_INSTANCE_NAME

Logger instance name

See Also:
  Constant Field Values

### Method Detail

#### isDebugEnabled

    boolean isDebugEnabled()

Is the 'debug' log level enabled?

Returns:
  true if so.

#### isErrorEnabled

    boolean isErrorEnabled()

Is the 'error' log level enabled?

Returns:
  true if so.

#### isFatalEnabled

    boolean isFatalEnabled()

Is the 'fatal' log level enabled?

Returns:
  true if so.

#### isInfoEnabled

    boolean isInfoEnabled()

Is the 'info' log level enabled?

Returns:
  true if so.

#### isTraceEnabled

    boolean isTraceEnabled()

Is the 'trace' log level enabled?

Returns:
  true if so.

#### isWarnEnabled

    boolean isWarnEnabled()

Is the 'warn' log level enabled?

Returns:
  true if so.

#### logDebug

    void logDebug(Object msg)

Logs the given message instance using the 'debug' level

Parameters:
  `msg` - the message to log

#### logDebug

    void logDebug(Object msg,
                  Throwable thrown)

Logs the given message and Throwable at the 'debug' level.

Parameters:
  `msg` - the message to log
  `thrown` - the throwable to log (may be null)

#### logError

    void logError(Object msg)

Logs the given message instance using the 'error' level

Parameters:
  `msg` - the message to log

#### logError

    void logError(Object msg,
                  Throwable thrown)

Logs the given message and Throwable at the 'error' level.

Parameters:
  `msg` - the message to log
  `thrown` - the throwable to log (may be null)

#### logFatal

    void logFatal(Object msg)

Logs the given message instance using the 'fatal' level

Parameters:
  `msg` - the message to log

#### logFatal

    void logFatal(Object msg,
                  Throwable thrown)

Logs the given message and Throwable at the 'fatal' level.

Parameters:
  `msg` - the message to log
  `thrown` - the throwable to log (may be null)

#### logInfo

    void logInfo(Object msg)

Logs the given message instance using the 'info' level

Parameters:
  `msg` - the message to log

#### logInfo

    void logInfo(Object msg,
                 Throwable thrown)

Logs the given message and Throwable at the 'info' level.

Parameters:
  `msg` - the message to log
  `thrown` - the throwable to log (may be null)

#### logTrace

    void logTrace(Object msg)

Logs the given message instance using the 'trace' level

Parameters:
  `msg` - the message to log

#### logTrace

    void logTrace(Object msg,
                  Throwable thrown)

Logs the given message and Throwable at the 'trace' level.

Parameters:
  `msg` - the message to log
  `thrown` - the throwable to log (may be null)

#### logWarn

    void logWarn(Object msg)

Logs the given message instance using the 'warn' level

Parameters:
  `msg` - the message to log

#### logWarn

    void logWarn(Object msg,
                 Throwable thrown)

Logs the given message and Throwable at the 'warn' level.

Parameters:
  `msg` - the message to log
  `thrown` - the throwable to log (may be null)

Copyright © 2016, 2026, Oracle and/or its affiliates.